# Flow Control Overview
{:.no_toc}

<nav markdown="1" class="toc-class">
* TOC
{:toc}
</nav>

## The goal

Let us look what kind of options we have for flow control in Python.

Questions to [David Rotermund](mailto:davrot@uni-bremen.de)

There is called a so called [The Python Language Reference](https://docs.python.org/3/reference/index.html)

|Selection statements​|
|---|
|[if, elif, else​](https://docs.python.org/3/reference/compound_stmts.html#the-if-statement)|
|[match case (>= Python 3.10)](https://docs.python.org/3/reference/compound_stmts.html#the-match-statement)|

|Iteration statements (Loops)​|
|---|
|[for loop​](https://docs.python.org/3/reference/compound_stmts.html#the-for-statement)|
|[while loop](https://docs.python.org/3/reference/compound_stmts.html#the-while-statement)|

|Functions​|
|---|
|[functions​](https://docs.python.org/3/reference/compound_stmts.html#function-definitions)|
|[return​](https://docs.python.org/3/reference/simple_stmts.html#the-return-statement)|
|[lambda](https://docs.python.org/3/reference/expressions.html#lambda)|

|Jump statements​|
|---|
|[break​](https://docs.python.org/3/reference/simple_stmts.html#the-break-statement)|
|[continue​](https://docs.python.org/3/reference/simple_stmts.html#the-continue-statement)|
|[pass​](https://docs.python.org/3/reference/simple_stmts.html#the-pass-statement)|

|Error handling|
|---|
|[try](https://docs.python.org/3/reference/compound_stmts.html#the-try-statement)|
